/**
  ******************************************************************************
  * @file    DataProcess.h
  * @author  sinomcu.com-AE
  * @brief   Header file of DataProcess.c file.
  * 
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, sinomcu.com shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu.com All rights reserved.</center></h2>
  *
  ******************************************************************************
 */

#ifndef __DATA_PROCESS_H
#define __DATA_PROCESS_H

#include "ms32f0xx.h"

#define RS485_DATA_ADD_POS   0x01
#define RS485_DATA_CMD_POS   0x04
#define RS485_DATA_DATA_POS  0x06

#define RS485_CMD_TYPE_ANA   'A'
#define RS485_CMD_TYPE_LED   'L'
#define RS485_CMD_ANA_CH1    '1'
#define RS485_CMD_ANA_CH2    '2'   

void Recv_DataAnalysis(void);

#endif /* __DATA_PROCESS_H */ 

/******************************** END OF FILE ******************************** */
